Glib::Threads::RecMutex::Lock Class Reference

Utility class for exception-safe locking of recursive mutexes. More...

`#include <glibmm/threads.h>`

## Public Member Functions

| Lock (RecMutex& mutex)
| Lock (RecMutex& mutex, NotLock)
| Lock (RecMutex& mutex, TryLock)
| ~Lock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of recursive mutexes.

## Constructor & Destructor Documentation

Glib::Threads::RecMutex::Lock::Lock | ( | RecMutex& | mutex | ) |

inlineexplicit

Glib::Threads::RecMutex::Lock::Lock | ( | RecMutex& | mutex,
|  | NotLock |
| ) |  |

inline

Glib::Threads::RecMutex::Lock::Lock | ( | RecMutex& | mutex,
|  | TryLock |
| ) |  |

inline

Glib::Threads::RecMutex::Lock::~Lock | ( |  | ) |

inline

## Member Function Documentation

void Glib::Threads::RecMutex::Lock::acquire | ( |  | ) |

inline

bool Glib::Threads::RecMutex::Lock::locked | ( |  | ) | const

inline

void Glib::Threads::RecMutex::Lock::release | ( |  | ) |

inline

bool Glib::Threads::RecMutex::Lock::try_acquire | ( |  | ) |

inline